<div class="btn btn-group d-flex flex-coloumn m-2 border-0">
  <a routerLink="/manager" class="nav-link p-2 link-dark btn btn-light"
    >Manager</a
  >
  <a routerLink="/employee" class="nav-link p-2 link-dark btn btn-light"
    >Employee</a
  >
  <a routerLink="/customer" class="nav-link p-2 link-dark btn btn-light"
    >Customer</a
  >
  
</div>
<!-- Content -->
<form  #postForm="ngForm"   >
<div class="container ">
  <mat-card style="background-color:rgba(104, 240, 154, 0.381) ;">
    <mat-card-content>
     <div class="row d-flex flex-row">
       <div class="form-floating col-md-3">
         <input type="text" class="form-control" placeholder="FirstName" name="fname" ngModel required/>
         <label for="">First Name</label>
       </div>
     
       <div class="form-floating col-md-3">
         <input type="text" class="form-control" placeholder="Second Name" name="sname" ngModel required />
         <label for="">Second Name</label>
       </div>

      </div>
      <div class="form-floating col-md-3">
        <input class="col-md-5 m-2" type="date" name="dob" [(ngModel)]="date" min="0001-01-01" max="2023-12-31" (input)="convert()" ngModel required />
       <div class="col-md-3 m-2">
        <p class="form-control date" ngModel required  value="age" >Age:{{age}}</p>
       </div>
       <div class="mb-3">
        
        <textarea class="form-control"  rows="3" cols="5" name="textarea" ngModel required placeholder="Adress............."></textarea>
      </div>
      
    </div>
    
    <div class="row">
      <div class="col-4"><button type="submit" class="btn btn-info text-light" (click)="onCreatePost(postForm.value)" (click)="openDialog()">Save</button></div>
      <div class="col-4"><button type="submit" class="btn btn-warning" (click)="get()"  >Get</button></div>
      <div class="col-4"><button type="submit" class="btn btn-danger" (click)="delete()">Clear</button></div>
    </div>
  </mat-card-content>
</mat-card>
</div>

</form>

<mat-card style="background-color: rgba(240, 248, 255, 0);" >
  <mat-card-content >
    <div class="row">
      <div class="col-12">{{data|json}}</div>


    </div>
  </mat-card-content>
</mat-card>
